#
# spec file for package gap-autpgrp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-autpgrp
Summary:        GAP: Computing the Automorphism Group of a p-Group
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        1.8
Release:        lp150.1.2
Url:            http://www.icm.tu-bs.de/~beick/so.html

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/autpgrp-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.4

%description
The AutPGrp package introduces a new function to compute the
automorphism group of a finite $p$-group. The underlying algorithm is
a refinement of the methods described in O'Brien (1995). In
particular, this implementation is more efficient in both time and
space requirements and hence has a wider range of applications than
the ANUPQ method.

%prep
%setup -qn autpgrp

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Apr 29 2017 jengelh@inai.de
- Initial package (version 1.8) for build.opensuse.org
